Ajouter aux favoris
curl --request POST \
--url https://dejavu.plus/api/v1/favorites \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"type": "movie",
"id": 550
}
'import requests
url = "https://dejavu.plus/api/v1/favorites"
payload = {
"type": "movie",
"id": 550
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'movie', id: 550})
};
fetch('https://dejavu.plus/api/v1/favorites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "VALIDATION_ERROR",
"message": "The field 'rating' must be between 1 and 10."
}{
"error": "UNAUTHORIZED",
"message": "API key is missing or invalid."
}{
"error": "FORBIDDEN",
"message": "A secret key (sk_...) is required for write operations."
}Favorites
Add to Favorites
Adds a movie or TV show to favorites. Requires a secret key (sk_...).
POST
/
favorites
Ajouter aux favoris
Usage
Adds a media item to the authenticated user’s favorites. Authentication is required viax-api-key or Authorization: Bearer. Write access requires the permissions associated with a secret key (sk_).
Example
curl -X POST -H "x-api-key: $DEJAVU_API_KEY" -H "Content-Type: application/json" \
-d '{"type":"movie","id":550}' "https://dejavu.plus/api/v1/favorites"